﻿namespace EfDbCommentGenerator.Demo
{
#if DEMO

    internal class NestDamn
    {
        internal abstract class BaseEntity
        {
            /// <summary>
            /// 名称
            /// </summary>
            public string Name { get; set; }
        }
    }

    /// <summary>
    /// 煤
    /// </summary>
    [Table("DebugData_Coal")]
    internal class Coal : NestDamn.BaseEntity
    {
        /// <summary>
        /// 泥煤 标识
        /// </summary>
        public int YourSysterId { get; set; }

        /// <summary>
        /// 泥煤 导航属性
        /// </summary>
        public YourSyster YourSyster { get; set; }
    }

    /// <summary>
    /// 泥煤
    /// </summary>
    [Table("DebugData_YourSyster")]
    internal class YourSyster : NestDamn.BaseEntity
    {
        /// <summary>
        /// 拥有者 标识
        /// </summary>
        public int OwnerId { get; set; }

        /// <summary>
        /// 拥有者 导航属性
        /// </summary>
        public SysterOwner Owner { get; set; }

        /// <summary>
        /// 煤堆
        /// </summary>
        public ICollection<Coal> Coals { get; set; }
    }

    /// <summary>
    /// 拥有者
    /// </summary>
    [Table("DebugData_SysterOwner")]
    internal class SysterOwner : NestDamn.BaseEntity
    {
    }

#endif
}